set default="0"

function load_video {
  insmod efi_gop
  insmod efi_uga
  insmod video_bochs
  insmod video_cirrus
  insmod all_video
}

mce=off

load_video
set gfxpayload=keep
insmod gzio
insmod part_gpt
insmod ext2

set timeout=10
### END /etc/grub.d/00_header ###

search --no-floppy --set=root -l 'SYNETO_OS_6'

### BEGIN /etc/grub.d/10_linux ###
menuentry 'Install SynetoOS 6.0.1.6862_rc' --class fedora --class gnu-linux --class gnu --class os {
	linuxefi /images/pxeboot/vmlinuz inst.stage2=hd:LABEL=SYNETO_OS_6 multipath=off biosdevname=1 inst.text nofb inst.ks=hd:LABEL=SYNETO_OS_6:/ks/ks.cfg
	initrdefi /images/pxeboot/initrd.img
}
submenu 'Troubleshooting -->' {
	menuentry 'Manually install SynetoOS 6.0.1.6862_rc' --class fedora --class gnu-linux --class gnu --class os {
		linuxefi /images/pxeboot/vmlinuz inst.stage2=hd:LABEL=SYNETO_OS_6 nomodeset quiet
		initrdefi /images/pxeboot/initrd.img
	}
	menuentry 'Rescue SynetoOS 6.0.1.6862_rc' --class fedora --class gnu-linux --class gnu --class os {
		linuxefi /images/pxeboot/vmlinuz inst.stage2=hd:LABEL=SYNETO_OS_6 inst.rescue quiet
		initrdefi /images/pxeboot/initrd.img
	}
}
